# ConsoleServer Class Reference

The main entry point for the server portion of your remote console application support. ConsoleServer takes one TransportInterface and one or more CommandParserInterface (s) The TransportInterface will be used to send data between the server and the client. The connecting client must support the protocol used by your derivation of TransportInterface . TelnetTransport and RakNetTransport are two such derivations . When a command is sent by a remote console, it will be processed by your implementations of CommandParserInterface. More...

`#include <ConsoleServer.h>`

List of all members.

## Public Member Functions
void | SetTransportProvider (TransportInterface *transportInterface, unsigned short port)
void | AddCommandParser (CommandParserInterface *commandParserInterface)
void | RemoveCommandParser (CommandParserInterface *commandParserInterface)
void | Update (void)
void | SetPrompt (const char *_prompt)

## Detailed Description

The main entry point for the server portion of your remote console application support. ConsoleServer takes one TransportInterface and one or more CommandParserInterface (s) The TransportInterface will be used to send data between the server and the client. The connecting client must support the protocol used by your derivation of TransportInterface . TelnetTransport and RakNetTransport are two such derivations . When a command is sent by a remote console, it will be processed by your implementations of CommandParserInterface.

## Member Function Documentation

void ConsoleServer::AddCommandParser | ( | CommandParserInterface * | commandParserInterface | ) |

Add an implementation of CommandParserInterface to the list of command parsers.

Parameters:

  `[in]` | commandParserInterface | The command parser referred to

void ConsoleServer::RemoveCommandParser | ( | CommandParserInterface * | commandParserInterface | ) |

Remove an implementation of CommandParserInterface previously added with AddCommandParser()

Parameters:

  `[in]` | commandParserInterface | The command parser referred to

void ConsoleServer::SetPrompt | ( | const char * | _prompt | ) |

Sets a prompt to show when waiting for user input Pass an empty string to clear the prompt Defaults to no prompt

Parameters:

  `[in]` | _prompt | Null-terminated string of the prompt to use. If you want a newline, be sure to use /r/n

void ConsoleServer::SetTransportProvider | ( | TransportInterface * | transportInterface,
|  | unsigned short | port |
| ) |  |  |

Call this with a derivation of TransportInterface so that the console server can send and receive commands

Parameters:

  `[in]` | transportInterface | Your interface to use.
  `[in]` | port | The port to host on. Telnet uses port 23 by default. RakNet can use whatever you want.

void ConsoleServer::Update | ( | void |  | ) |

Call update to read packet sent from your TransportInterface. You should do this fairly frequently.

The documentation for this class was generated from the following files:

- C:/RakNet/Source/ConsoleServer.h
- C:/RakNet/Source/ConsoleServer.cpp